Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.ui.component.html
Class HtmlInsert

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.ui.component.UIInsert
                  org.richfaces.ui.component.html.HtmlInsert

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlInsert

extends UIInsert

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.ui.component.UIInsert
`ILLEGAL_ATTRIBUTE_VALUE_MESSAGE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlInsert()`

Method Summary
`java.lang.String` | `getContent()`
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getErrorContent()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHighlight()`
`java.lang.String` | `getSrc()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setContent(java.lang.String _content)`
`void` | `setEncoding(java.lang.String _encoding)`
`void` | `setErrorContent(java.lang.String _errorContent)`
`void` | `setHighlight(java.lang.String _highlight)`
`void` | `setSrc(java.lang.String _src)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlInsert

    public HtmlInsert()

Method Detail

### getContent

    public java.lang.String getContent()

  Specified by:
    `getContent` in class `UIInsert`

### setContent

    public void setContent(java.lang.String _content)

  Specified by:
    `setContent` in class `UIInsert`

### getEncoding

    public java.lang.String getEncoding()

  Specified by:
    `getEncoding` in class `UIInsert`

### setEncoding

    public void setEncoding(java.lang.String _encoding)

  Specified by:
    `setEncoding` in class `UIInsert`

### getErrorContent

    public java.lang.String getErrorContent()

  Specified by:
    `getErrorContent` in class `UIInsert`

### setErrorContent

    public void setErrorContent(java.lang.String _errorContent)

  Specified by:
    `setErrorContent` in class `UIInsert`

### getHighlight

    public java.lang.String getHighlight()

  Specified by:
    `getHighlight` in class `UIInsert`

### setHighlight

    public void setHighlight(java.lang.String _highlight)

  Specified by:
    `setHighlight` in class `UIInsert`

### getSrc

    public java.lang.String getSrc()

  Specified by:
    `getSrc` in class `UIInsert`

### setSrc

    public void setSrc(java.lang.String _src)

  Specified by:
    `setSrc` in class `UIInsert`

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.